# opkbuild
# locale/en_US/opkbuild
# English message strings for the "opkbuild" text domain.
#
# Copyright (C) 2012 Patrick "P. J." McDermott
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# opkbuild
msg_opkbuild_usage='Usage: %s [<option>...]'
msg_opkbuild_help='
Options:
  -b                build only binary packages
  -B                build only architecture-dependent binary packages
  -A                build only architecture-independent binary packages
  -S                build only the source package
  -F                build the source package and all binary packages
  -T <target>       target of the "build" makefile to build
  -a <host-arch>    distribution architecture for which architecture-
                    dependent packages should be built (default: system
                    architecture)
  -P <host-plat>    application platform for which platform-specific
                    packages should be configured (default: system
                    platform)
  -D                check build dependencies (default behavior)
  -d                do not check build dependencies
  -C                clean source packaging after build (default behavior
                    unless the -T option is given)
  -c                do not clean source packaging
  -r <uid0-cmd>     command to assume user ID 0 (default: fakeroot)
  -h                display this help and exit
  -V                display the version and exit

Note: Options -B and -A have no effect on SPF 2.0 packages.'
msg_opkbuild_version='%s (%s) %s
Copyright (C) 2012 Patrick "P. J." McDermott
License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by P. J. McDermott.'
msg_opkbuild_bbasf_mutex='Options -b, -B, -A, -S, and -F are mutually exclusive'
msg_opkbuild_bad_opt='Invalid option "%s"'
msg_opkbuild_uid0_cmd_not_found='UID 0 command "%s" not found'
msg_opkbuild_uid0_cmd_bad_uid='UID 0 command "%s" doesn'\''t give UID 0'
msg_opkbuild_setup_arch_plat='Detecting architecture and platform...'
msg_opkbuild_make_work_area='Making work area...'
msg_opkbuild_parse_package_metadata='Parsing package metadata...'
msg_opkbuild_build_source='Building source package...'
msg_opkbuild_cant_make_src_pkg_dir='Can'\''t make data directory for source package'
msg_opkbuild_cant_install_src_pkg_file='Can'\''t install source package file'
msg_opkbuild_cant_rm_src_pkg_data='Can'\''t clean up data directory for source package'
msg_opkbuild_build_arch_stat_header='Build system:'
msg_opkbuild_arch_stat_arch='  Architecture:  %s (%s)'
msg_opkbuild_arch_stat_plat='  Platform:      %s'
msg_opkbuild_host_arch_stat_header='Host system:'

# ob-checkbuilddeps
msg_opkbuild_checking_build_deps='Checking build dependencies...'

# ob-buildenv
msg_opkbuild_setup_build_env='Setting up build environment...'

# ob-unpacksource
msg_opkbuild_already_unpacked='Sources already unpacked'
msg_opkbuild_unpacking_native='Copying native source directory...'
msg_opkbuild_cant_unpack_native='Can'\''t copy native source directory'
msg_opkbuild_no_sources='No native or upstream sources found'
msg_opkbuild_multiple_upstream_sources='Multiple upstream source archives found'
msg_opkbuild_unsupported_archive_compression='Compression format with extension "%s" nsupported'
msg_opkbuild_no_upstream_dirs='No directories found in upstream source archive'
msg_opkbuild_multiple_top_upstream_dirs='Multiple top-level directories found in upstream source archive'
msg_opkbuild_unpacking_upstream='Extracting upstream source archive...'
msg_opkbuild_cant_unpack_upstream='Can'\''t extract upstream source archive'
msg_opkbuild_cant_move_native='Can'\''t move extracted upstream source directory'

# ob-applypatches
msg_opkbuild_applying_patch='Applying patch "%s"...'
msg_opkbuild_cant_apply_patch='Can'\''t apply patch "%s"'
msg_opkbuild_no_patches='No patches to be applied'

# ob-installplatconf
msg_opkbuild_no_plat_config='No config files to be copied'
msg_opkbuild_bad_config_syntax='Syntax error in platform configuration file list "%s"'
msg_opkbuild_cant_make_config_dest_dir='Can'\''t make directory "%s" for platform configuration'
msg_opkbuild_no_config_dir='No platform configuration files found'
msg_opkbuild_copying_config_file='Copying configuration file "%s" to "%s"...'
msg_opkbuild_cant_copy_config_file='Can'\''t copy configuration file'

# ob-installdocs
msg_opkbuild_cant_get_doc_pkg='Can'\''t find package to provide documentation files'
msg_opkbuild_cant_make_doc_dir='Can'\''t make documentation directory'
msg_opkbuild_docs_already_installed='Package documentation already installed into package "%s"'
msg_opkbuild_installing_docs='Installing package documentation into package "%s"...'
msg_opkbuild_cant_cp_doc_file='Can'\''t copy documentation file "%s"'
msg_opkbuild_docs_already_linked='Link to documentation already made in package "%s"'
msg_opkbuild_linking_docs='Making link to documentation in package "%s"...'
msg_opkbuild_cant_ln_doc_dir='Can'\''t make link to documentation directory'
